Bug #4547

The repository 'https://dl.bintray.com/tvheadend/deb xenial Release' does not have a Release file

Added by Christian Eiden 3 months ago. Updated about 1 month ago.

Status:FixedStart date:2017-08-23
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:-
Target version:-
Found in version:4.3-347~g4a35523 Affected Versions:

Description

Running sudo apt update gives me

Ign:7 https://dl.bintray.com/tvheadend/deb xenial InRelease
Err:8 https://dl.bintray.com/tvheadend/deb xenial Release
  403  Forbidden
Reading package lists... Done
E: The repository 'https://dl.bintray.com/tvheadend/deb xenial Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

History

#1 Updated by Mark Clarkstone 3 months ago

  • Status changed from New to Need feedback

Christian Eiden wrote:

Running sudo apt update gives me

[...]

it's "release-4.2" not "release".

#2 Updated by Christian Eiden 3 months ago

I have added the followig line to /etc/apt/sources list

deb https://dl.bintray.com/tvheadend/deb xenial unstable

as described in https://tvheadend.org/projects/tvheadend/wiki/AptRepository
This worked in the past but just stopped working. The output above ist directly from apt.

Checking https://dl.bintray.com/tvheadend/deb/Release also gives me a Forbidden.

#3 Updated by Mark Clarkstone 3 months ago

Christian Eiden wrote:

I have added the followig line to /etc/apt/sources list

[...]

as described in https://tvheadend.org/projects/tvheadend/wiki/AptRepository
This worked in the past but just stopped working. The output above ist directly from apt.

Checking https://dl.bintray.com/tvheadend/deb/Release also gives me a Forbidden.

It looks like we've used our quota or something, will ask bintray.

#4 Updated by C vH 3 months ago

deb https://dl.bintray.com/tvheadend/deb xenial stable-4.2

isn't working either

#5 Updated by Mark Clarkstone 3 months ago

C vH wrote:

deb https://dl.bintray.com/tvheadend/deb xenial stable-4.2

isn't working either

None of it will work, my own bintray repo appears to be working fine however, but that only has limited packages. I've updated the repo page, still waiting for bintray.

But I have a feeling Jaroslav may be working on a solution, not that I can back that up though :p

#6 Updated by Mark Clarkstone 3 months ago

  • Status changed from Need feedback to Fixed

It's working again now :).

#7 Updated by Michael K 3 months ago

Mark Clarkstone wrote:

It's working again now :).

No, it doesn't. Using deb https://dl.bintray.com/tvheadend/deb xenial stable-4.2 TVH cannot be found.

$ sudo apt-get update
OK:1 http://de.archive.ubuntu.com/ubuntu xenial InRelease
OK:2 http://de.archive.ubuntu.com/ubuntu xenial-updates InRelease           
OK:3 http://security.ubuntu.com/ubuntu xenial-security InRelease            
OK:4 http://de.archive.ubuntu.com/ubuntu xenial-backports InRelease
Ign:5 https://dl.bintray.com/tvheadend/deb xenial InRelease
OK:6 https://dl.bintray.com/tvheadend/deb xenial Release
Paketlisten werden gelesen... Fertig
$ sudo apt-get install tvheadend
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
E: Paket tvheadend kann nicht gefunden werden.

#8 Updated by Njuskalo Njusko 3 months ago

Michael K wrote:

Mark Clarkstone wrote:

It's working again now :).

No, it doesn't. Using deb https://dl.bintray.com/tvheadend/deb xenial stable-4.2 TVH cannot be found.

[...]

[...]

Change to https://dl.bintray.com/tvheadend/deb xenial release-4.2

#9 Updated by Michael K 3 months ago

Njuskalo Njusko wrote:

Michael K wrote:

Mark Clarkstone wrote:

It's working again now :).

No, it doesn't. Using deb https://dl.bintray.com/tvheadend/deb xenial stable-4.2 TVH cannot be found.

[...]

[...]

Change to https://dl.bintray.com/tvheadend/deb xenial release-4.2

I already tried it and that works. I just wanted to be on 'stable' as I expect it to be a bit more up-to-date.

#10 Updated by Mark Clarkstone 3 months ago

Michael K wrote:

Njuskalo Njusko wrote:

Michael K wrote:

Mark Clarkstone wrote:

It's working again now :).

No, it doesn't. Using deb https://dl.bintray.com/tvheadend/deb xenial stable-4.2 TVH cannot be found.

[...]

[...]

Change to https://dl.bintray.com/tvheadend/deb xenial release-4.2

I already tried it and that works. I just wanted to be on 'stable' as I expect it to be a bit more up-to-date.

Yes, you are correct there is a problem with "stable-4.2", looking into this now.

#11 Updated by K Shea 3 months ago

I also ran into the issue reported here, and I am using "deb https://dl.bintray.com/tvheadend/deb xenial stable-4.2" in my sources list on Ubuntu Server 16.04. At one point I saw that an update to Tvheadend was available, I don't recall the update version but I am currently running HTS Tvheadend 4.2.3-20, and the only reason I waited to upgrade is because I like to do upgrades on weekends so that if some issue develops, I have time to try to resolve it. And when I attempted to do the upgrade, I first ran into the issue that is the topic of this report, but when the server came back up it appeared that the upgrade had disappeared. I see your post #10 indicates there was some problem with the stable release a week ago, is that still the case? I'm in no particular huge hurry to upgrade, but it's just been bothering me where that upgrade disappeared to, and I wondered if you had pulled it for some reason, or if it's still this issue causing the problem.

#12 Updated by Mark Clarkstone 2 months ago

K Shea wrote:

I also ran into the issue reported here, and I am using "deb https://dl.bintray.com/tvheadend/deb xenial stable-4.2" in my sources list on Ubuntu Server 16.04. At one point I saw that an update to Tvheadend was available, I don't recall the update version but I am currently running HTS Tvheadend 4.2.3-20, and the only reason I waited to upgrade is because I like to do upgrades on weekends so that if some issue develops, I have time to try to resolve it. And when I attempted to do the upgrade, I first ran into the issue that is the topic of this report, but when the server came back up it appeared that the upgrade had disappeared. I see your post #10 indicates there was some problem with the stable release a week ago, is that still the case? I'm in no particular huge hurry to upgrade, but it's just been bothering me where that upgrade disappeared to, and I wondered if you had pulled it for some reason, or if it's still this issue causing the problem.

Ack! I think the bintray cleaner worked a little too well & from my quick look has removed all stable-4.2 builds. I've asked Jaroslav to look into this.

#13 Updated by K Shea about 1 month ago

Just wanted to report that this appears to have been fixed, at least for the version I am running. I'm now up to 4.2.3-85 and now there is an update to 4.2.3-87~g5b7886e~xenial available that I will probably install this weekend. Thank you!

Also available in: Atom PDF